function dreikoerper
%Berechnung des Arenstorf-Orbits mit RK-Verfahren 4. Ordnung


%Zeitraum festlegen
T = 17.06521656015796255889;
tspan = [0, T];

% Anfangsbedingung setzen
z_init = [0.994 0 0 -2.0015851063790825];

%Schrittweite setzen
for N=[3000 6000 12000]

    h = T/N;

    z = zeros(N,4);
    z(1,:) = z_init;

    %Runge-Kutta durchfuehren
    for k=1:N
        k1 = dreikoerper_rhs(z(k,:)');
        k2 = dreikoerper_rhs((z(k,:)+ 1/2*(h*k1))');
        k3 = dreikoerper_rhs((z(k,:)+ 1/2*(h*k2))');
        k4 = dreikoerper_rhs((z(k,:)+ h*k3)');
        z(k+1,:) = z(k,:) + h*(1/6*k1 + 1/3*k2 + 1/3*k3 +1/6*k4);    
    end

    %Ergebnisse plotten
    figure
    mu = 0.012277471;
    mu_hat = 1-mu;
    plot(z(:, 1), z(:, 3),'b', -mu,0, 'ro', mu_hat,0, 'ro')
    title('Arenstorf-Orbit')
    axis([-1.5 1.5 -1.5 1.5])
    text( -mu-0.1 ,-0.1,'Sonne','fontsize',8);
    text(  mu_hat-0.1 ,-0.1,'Mond','fontsize',8);
    
    pause
end
end