function [ zdot ] = dreikoerper_rhs( z  )
% Funktion zur Auswertung der rechten Seite der Differentialgleichung,
% welche den vierblaettrigen Arenstorf-Orbit beschreibt.

%relative Massen mu, mu_hat festlegen
mu = 0.012277471;
mu_hat = 1-mu;

N1 = ( (z(1) + mu)^2 + z(3)^2)^1.5;
N2 = ( (z(1) - mu_hat)^2 + z(3)^2)^1.5;

%rechte Seite auswerten
x__ = z(1)+2*z(4)-mu_hat*((z(1)+mu)/N1) - mu*((z(1)-mu_hat)/N2);
y__ = z(3)-2*z(2)-mu_hat*(z(3)/N1) - mu*(z(3)/N2);

zdot = [z(2) x__  z(4) y__];
end
